Bug 1030956 - SELinux is preventing /usr/sbin/acpid from 'module_request' accesses on the system .
SELinux is preventing /usr/sbin/acpid from 'module_request' accesses on the s...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: selinux-policy (Show other bugs)
20
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Miroslav Grepl
Fedora Extras Quality Assurance
abrt_hash:ae6ee42b2b02ceb2940ceaa3737...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-15 07:06 EST by Moez Roy
Modified: 2013-12-13 21:53 EST (History)
4 users (show)

See Also:
Fixed In Version: selinux-policy-3.12.1-105.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-13 21:53:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Moez Roy 2013-11-15 07:06:57 EST
Description of problem:
SELinux is preventing /usr/sbin/acpid from 'module_request' accesses on the system .

*****  Plugin catchall_boolean (89.3 confidence) suggests   ******************

If you want to allow domain to kernel load modules
Then you must tell SELinux about this by enabling the 'domain_kernel_load_modules' boolean.
You can read 'None' man page for more details.
Do
setsebool -P domain_kernel_load_modules 1

*****  Plugin catchall (11.6 confidence) suggests   **************************

If you believe that acpid should be allowed module_request access on the  system by default.
Then you should report this as a bug.
You can generate a local policy module to allow this access.
Do
allow this access for now by executing:
# grep acpid /var/log/audit/audit.log | audit2allow -M mypol
# semodule -i mypol.pp

Additional Information:
Source Context                system_u:system_r:apmd_t:s0
Target Context                system_u:system_r:kernel_t:s0
Target Objects                 [ system ]
Source                        acpid
Source Path                   /usr/sbin/acpid
Port                          <Unknown>
Host                          (removed)
Source RPM Packages           acpid-2.0.20-2.fc20.x86_64
Target RPM Packages           
Policy RPM                    selinux-policy-3.12.1-90.fc20.noarch
Selinux Enabled               True
Policy Type                   targeted
Enforcing Mode                Enforcing
Host Name                     (removed)
Platform                      Linux (removed) 3.11.6-302.fc20.x86_64 #1 SMP Sat
                              Nov 2 13:30:46 UTC 2013 x86_64 x86_64
Alert Count                   2
First Seen                    2013-11-15 03:40:41 PST
Last Seen                     2013-11-15 04:04:20 PST
Local ID                      c0a70bb4-a080-47cf-aa00-da33df760302

Raw Audit Messages
type=AVC msg=audit(1384517060.517:1099): avc:  denied  { module_request } for  pid=17612 comm="acpid" kmod="net-pf-16-proto-16-family-acpi_event" scontext=system_u:system_r:apmd_t:s0 tcontext=system_u:system_r:kernel_t:s0 tclass=system


type=SYSCALL msg=audit(1384517060.517:1099): arch=x86_64 syscall=sendmsg success=yes exit=ENAMETOOLONG a0=6 a1=7fff3b99fb10 a2=0 a3=0 items=0 ppid=1 pid=17612 auid=4294967295 uid=0 gid=0 euid=0 suid=0 fsuid=0 egid=0 sgid=0 fsgid=0 ses=4294967295 tty=(none) comm=acpid exe=/usr/sbin/acpid subj=system_u:system_r:apmd_t:s0 key=(null)

Hash: acpid,apmd_t,kernel_t,system,module_request

Additional info:
reporter:       libreport-2.1.9
hashmarkername: setroubleshoot
kernel:         3.11.6-302.fc20.x86_64
type:           libreport

Potential duplicate: bug 833197
Comment 1 Daniel Walsh 2013-11-18 12:30:38 EST
3bd505b3e75b27b034d70ee26f17460d6fe90b49 fixes this in git.
Comment 2 Lukas Vrabec 2013-11-26 05:13:15 EST
back ported to f20 and f19.
Comment 3 Fedora Update System 2013-11-27 03:14:56 EST
selinux-policy-3.12.1-105.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/selinux-policy-3.12.1-105.fc20
Comment 4 Fedora Update System 2013-11-27 11:12:58 EST
Package selinux-policy-3.12.1-105.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing selinux-policy-3.12.1-105.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-22285/selinux-policy-3.12.1-105.fc20
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2013-12-13 21:53:40 EST
selinux-policy-3.12.1-105.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.